Swiftpack.co - Package - relevantfruit/RelevantInformer

Relevant Informer

Relevant Informer is zero-dependency popup / message / notification library.

RI 101

let view = MyViewController()
view.ri.display(with: RIAttributes.popup)

Features

  • ☑ Display modes: enqueue and override.
  • ☐ SwiftUI support.
  • ☐ Carthage and CocoaPods support.

Installation

Swift Package Manager

dependencies: [
    .package(url: "https://github.com/relevantfruit/RelevantInformer", .upToNextMajor(from: "0.4.0"))
]

Requirements

  • iOS 12.0+
  • Xcode 11+
  • Swift 5.1+

Github

link
Stars: 5

Dependencies

Used By

Total: 0

Releases

0.4.2 - 2020-07-23 12:16:49

0.4.1 - 2020-07-22 07:35:41

0.4.0 - 2020-07-20 15:54:51

0.3.0 - 2020-07-19 09:05:46

0.2.3 - 2020-07-18 11:37:51

0.2.1 - 2020-07-17 15:34:42

0.2.0 - 2020-07-16 13:32:02

0.1.0 - 2020-07-16 08:58:37